IndicatorDimension: Get indicator-dimension mappings

API: azureedge.net:who-global-health-observatory-api
Endpoint: /IndicatorDimension
Response format: application/json
Charset: utf-8
Auth: unknown
Method: GET
Last Status: 400
Latency: 312ms

Description

Returns mappings between indicators and their applicable dimensions.

Parameters (2)

$filter (string, query, optional)

Filter by indicator code or dimension, e.g., IndicatorCode eq 'WHOSIS_000001'

$top (integer, query, optional, default: 100)

Number of records to return

Examples (3)

Get all indicator-dimension mappings curl
curl 'https://ghoapi.azureedge.net/api/IndicatorDimension'
import requests

resp = requests.get("https://ghoapi.azureedge.net/api/IndicatorDimension")
data = resp.json()
import zingu_apis

api = zingu_apis.api("who-global-health-observatory-api")
result = api.fetch("IndicatorDimension")

for item in result:
    print(item)
const resp = await fetch("https://ghoapi.azureedge.net/api/IndicatorDimension");
const data = await resp.json();
Filter by indicator code (Life expectancy) curl
curl 'https://ghoapi.azureedge.net/api/IndicatorDimension?%24filter=IndicatorCode+eq+%27WHOSIS_000001%27'
import requests

resp = requests.get(
    "https://ghoapi.azureedge.net/api/IndicatorDimension",
    params={
        '$filter': "IndicatorCode eq 'WHOSIS_000001'",
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("who-global-health-observatory-api")
result = api.fetch("IndicatorDimension", $filter="IndicatorCode eq 'WHOSIS_000001'")

for item in result:
    print(item)
const resp = await fetch("https://ghoapi.azureedge.net/api/IndicatorDimension?%24filter=IndicatorCode+eq+%27WHOSIS_000001%27");
const data = await resp.json();
Get top 50 results with dimension filter curl
curl 'https://ghoapi.azureedge.net/api/IndicatorDimension?%24top=50&%24filter=DimensionCode+eq+%27COUNTRY%27' \
  -d '{"error": {"code": "", "message": "The query specified in the URI is not valid. Could not find a property named 'DimensionCode' on type 'Default.IndicatorDimension'.", "details": [], "innererror": {"message": "Could not find a property named 'DimensionCode' on type 'Default.IndicatorDimension'.", "type": "Microsoft.OData.ODataException", "stacktrace": "   at Microsoft.OData.UriParser.EndPathBinder.GeneratePropertyAccessQueryForOpenType(EndPathToken endPathToken, SingleValueNode parentNode)\r\n   at Microsoft.OData.UriParser.EndPathBinder.BindEndPath(EndPathToken endPathToken)\r\n   at Microsoft.OData.UriParser.MetadataBinder.Bind(QueryToken token)\r\n   at Microsoft.OData.UriParser.BinaryOperatorBinder.GetOperandFromToken(BinaryOperatorKind operatorKind, QueryToken queryToken)\r\n   at Microsoft.OData.UriParser.BinaryOperatorBinder.BindBinaryOperator(BinaryOperatorToken binaryOperatorToken)\r\n   at Microsoft.OData.UriParser.MetadataBinder.Bind(QueryToken token)\r\n   at Microsoft.OData.UriParser.FilterBinder.BindFilter(QueryToken filter)\r\n   at Microsoft.OData.UriParser.ODataQueryOptionParser.ParseFilterImplementation(String filter, ODataUriParserConfiguration configuration, ODataPathInfo odataPathInfo)\r\n   at Microsoft.OData.UriParser.ODataQueryOptionParser.ParseFilter()\r\n   at Microsoft.AspNet.OData.Query.FilterQueryOption.get_FilterClause()\r\n   at Microsoft.AspNet.OData.Query.Validators.FilterQueryValidator.Validate(FilterQueryOption filterQueryOption, ODataValidationSettings settings)\r\n   at Microsoft.AspNet.OData.Query.Validators.ODataQueryValidator.Validate(ODataQueryOptions options, ODataValidationSettings validationSettings)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.ValidateQuery(HttpRequest request, ODataQueryOptions queryOptions)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.<>c__DisplayClass1_0.<OnActionExecuted>b__3(ODataQueryContext queryContext)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.ExecuteQuery(Object responseValue, IQueryable singleResultCollection, IWebApiActionDescriptor actionDescriptor, Func`2 modelFunction, IWebApiRequestMessage request, Func`2 createQueryOptionFunction)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.OnActionExecuted(Object responseValue, IQueryable singleResultCollection, IWebApiActionDescriptor actionDescriptor, IWebApiRequestMessage request, Func`2 modelFunction, Func`2 createQueryOptionFunction, Action`1 createResponseAction, Action`3 createErrorAction)"}}}'
import requests

resp = requests.get(
    "https://ghoapi.azureedge.net/api/IndicatorDimension",
    params={
        '$top': '50',
        '$filter': "DimensionCode eq 'COUNTRY'",
    },
    json={
        'error': {'code': '', 'message': "The query specified in the URI is not valid. Could not find a property named 'DimensionCode' on type 'Default.IndicatorDimension'.", 'details': [], 'innererror': {'message': "Could not find a property named 'DimensionCode' on type 'Default.IndicatorDimension'.", 'type': 'Microsoft.OData.ODataException', 'stacktrace': '   at Microsoft.OData.UriParser.EndPathBinder.GeneratePropertyAccessQueryForOpenType(EndPathToken endPathToken, SingleValueNode parentNode)\r\n   at Microsoft.OData.UriParser.EndPathBinder.BindEndPath(EndPathToken endPathToken)\r\n   at Microsoft.OData.UriParser.MetadataBinder.Bind(QueryToken token)\r\n   at Microsoft.OData.UriParser.BinaryOperatorBinder.GetOperandFromToken(BinaryOperatorKind operatorKind, QueryToken queryToken)\r\n   at Microsoft.OData.UriParser.BinaryOperatorBinder.BindBinaryOperator(BinaryOperatorToken binaryOperatorToken)\r\n   at Microsoft.OData.UriParser.MetadataBinder.Bind(QueryToken token)\r\n   at Microsoft.OData.UriParser.FilterBinder.BindFilter(QueryToken filter)\r\n   at Microsoft.OData.UriParser.ODataQueryOptionParser.ParseFilterImplementation(String filter, ODataUriParserConfiguration configuration, ODataPathInfo odataPathInfo)\r\n   at Microsoft.OData.UriParser.ODataQueryOptionParser.ParseFilter()\r\n   at Microsoft.AspNet.OData.Query.FilterQueryOption.get_FilterClause()\r\n   at Microsoft.AspNet.OData.Query.Validators.FilterQueryValidator.Validate(FilterQueryOption filterQueryOption, ODataValidationSettings settings)\r\n   at Microsoft.AspNet.OData.Query.Validators.ODataQueryValidator.Validate(ODataQueryOptions options, ODataValidationSettings validationSettings)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.ValidateQuery(HttpRequest request, ODataQueryOptions queryOptions)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.<>c__DisplayClass1_0.<OnActionExecuted>b__3(ODataQueryContext queryContext)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.ExecuteQuery(Object responseValue, IQueryable singleResultCollection, IWebApiActionDescriptor actionDescriptor, Func`2 modelFunction, IWebApiRequestMessage request, Func`2 createQueryOptionFunction)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.OnActionExecuted(Object responseValue, IQueryable singleResultCollection, IWebApiActionDescriptor actionDescriptor, IWebApiRequestMessage request, Func`2 modelFunction, Func`2 createQueryOptionFunction, Action`1 createResponseAction, Action`3 createErrorAction)'}},
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("who-global-health-observatory-api")
result = api.fetch("IndicatorDimension", $top=50, $filter="DimensionCode eq 'COUNTRY'")

for item in result:
    print(item)
const body = {
  "error": {
    "code": "",
    "message": "The query specified in the URI is not valid. Could not find a property named 'DimensionCode' on type 'Default.IndicatorDimension'.",
    "details": [],
    "innererror": {
      "message": "Could not find a property named 'DimensionCode' on type 'Default.IndicatorDimension'.",
      "type": "Microsoft.OData.ODataException",
      "stacktrace": "   at Microsoft.OData.UriParser.EndPathBinder.GeneratePropertyAccessQueryForOpenType(EndPathToken endPathToken, SingleValueNode parentNode)\r\n   at Microsoft.OData.UriParser.EndPathBinder.BindEndPath(EndPathToken endPathToken)\r\n   at Microsoft.OData.UriParser.MetadataBinder.Bind(QueryToken token)\r\n   at Microsoft.OData.UriParser.BinaryOperatorBinder.GetOperandFromToken(BinaryOperatorKind operatorKind, QueryToken queryToken)\r\n   at Microsoft.OData.UriParser.BinaryOperatorBinder.BindBinaryOperator(BinaryOperatorToken binaryOperatorToken)\r\n   at Microsoft.OData.UriParser.MetadataBinder.Bind(QueryToken token)\r\n   at Microsoft.OData.UriParser.FilterBinder.BindFilter(QueryToken filter)\r\n   at Microsoft.OData.UriParser.ODataQueryOptionParser.ParseFilterImplementation(String filter, ODataUriParserConfiguration configuration, ODataPathInfo odataPathInfo)\r\n   at Microsoft.OData.UriParser.ODataQueryOptionParser.ParseFilter()\r\n   at Microsoft.AspNet.OData.Query.FilterQueryOption.get_FilterClause()\r\n   at Microsoft.AspNet.OData.Query.Validators.FilterQueryValidator.Validate(FilterQueryOption filterQueryOption, ODataValidationSettings settings)\r\n   at Microsoft.AspNet.OData.Query.Validators.ODataQueryValidator.Validate(ODataQueryOptions options, ODataValidationSettings validationSettings)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.ValidateQuery(HttpRequest request, ODataQueryOptions queryOptions)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.<>c__DisplayClass1_0.<OnActionExecuted>b__3(ODataQueryContext queryContext)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.ExecuteQuery(Object responseValue, IQueryable singleResultCollection, IWebApiActionDescriptor actionDescriptor, Func`2 modelFunction, IWebApiRequestMessage request, Func`2 createQueryOptionFunction)\r\n   at Microsoft.AspNet.OData.EnableQueryAttribute.OnActionExecuted(Object responseValue, IQueryable singleResultCollection, IWebApiActionDescriptor actionDescriptor, IWebApiRequestMessage request, Func`2 modelFunction, Func`2 createQueryOptionFunction, Action`1 createResponseAction, Action`3 createErrorAction)"
    }
  }
};

const resp = await fetch("https://ghoapi.azureedge.net/api/IndicatorDimension?%24top=50&%24filter=DimensionCode+eq+%27COUNTRY%27", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:14:59.672436 400 312ms
2026-04-16 04:00:30.817497 200 580ms
2026-04-16 01:41:58.582602 400 250ms
2026-04-16 01:35:59.136933 200 237ms
2026-04-15 03:31:50.387216 400 238ms
2026-04-15 02:39:01.781837 200 13463ms
2026-04-15 00:07:08.390503 200 329ms
2026-04-14 02:06:05.967435 200 327ms
2026-04-14 01:07:17.660972 400 258ms
2026-04-14 00:30:18.749552 200 272ms
2026-04-12 14:43:46.891980 200 493ms
2026-04-12 13:10:45.507076 400 258ms
2026-04-12 12:50:23.725925 200 439ms
2026-04-10 03:15:52.018711 200 243ms
2026-04-10 02:25:50.737021 400 192ms
2026-04-10 01:56:19.336365 200 810ms
2026-04-09 02:43:06.752308 200 495ms
2026-04-09 00:52:19.404049 400 440ms
2026-04-09 00:10:28.954003 200 290ms
2026-04-08 07:49:17.086898 200 331ms
2026-04-08 02:18:10.660379 200 740ms
2026-04-08 00:12:35.491422 400 289ms
2026-04-07 00:58:47.510744 200 367ms
2026-04-07 00:57:33.818639 200 434ms
2026-04-07 00:33:42.135894 400 248ms
2026-04-06 05:47:34.040421 200 460ms
2026-04-06 05:41:16.895483 200 355ms
2026-04-05 18:58:51.673883 ERR
2026-04-05 14:45:50.966604 200 717ms
2026-04-05 14:42:07.689665 200 389ms
2026-04-05 01:32:52.338233 200 387ms
2026-04-05 01:28:50.108102 200 368ms
2026-04-05 00:30:50.623675 400 397ms
2026-04-04 03:24:22.131405 400 300ms
2026-04-04 03:18:31.843803 200 465ms
2026-04-04 02:01:02.756631 200 247ms
2026-04-03 13:19:08.747334 400 293ms
2026-04-03 12:28:56.754431 200 350ms
2026-04-03 12:02:03.924310 200 296ms
2026-03-30 03:06:08.374076 200 280ms
2026-03-30 02:35:05.893901 200 361ms
2026-03-30 02:23:51.180999 400 285ms
2026-03-29 13:09:43.704336 200 325ms
2026-03-29 13:08:26.714727 400 228ms
2026-03-29 12:40:13.101771 200 272ms
2026-03-23 10:35:58.853842 400 241ms
2026-03-23 10:20:31.895261 200 1316ms 0.7MB
2026-03-23 09:48:35.490001 200 239ms